# norootforbuild

Name:		lmms
Version:	0.4.12
Release:	2.2

Summary:	LMMS - Linux MultiMedia Studio
License:	GNU General Public License (GPL)
Group:		Productivity/Multimedia/Sound/Midi
Url: 		http://lmms.sourceforge.net/

Source0:	http://prdownloads.sourceforge.net/lmms/lmms-%{version}.tar.bz2

Patch1:         lmms-fix_missing_return_in_non_void_function.patch

Recommends:	ladspa-blop ladspa-aweight ladspa-AMB ladspa-cmt ladspa-clipper ladspa-caps
Recommends:	ladspa-matched ladspa-lemux ladspa-foo-plugins ladspa-MCP ladspa-FIL
Recommends:	ladspa-swh-plugins ladspa-omins ladspa-njl ladspa-REV ladspa-vlevel ladspa-vcf
Recommends:	ladspa-unmatched ladspa-tap-plugins ladspa-VCO ladspa-wasp ladspa-vocoder
Recommends:	ladspa-trigger ladspa-rubberband ladspa-pvoc ladspa-alienwah
Recommends:	ladspa-LEET-plugin ladspa-calf

BuildRoot:	%{_tmppath}/%{name}-%{version}-build

BuildRequires:	alsa-devel cmake fftw3-devel gcc-c++ libfluidsynth-devel
BuildRequires:  libogg-devel libpulse-devel libqt4-devel libsndfile-devel
BuildRequires:	libvorbis-devel portaudio-devel SDL-devel stk-devel
BuildRequires:  update-desktop-files
%ifnarch x86_64
BuildRequires:	wine-devel wine
%endif


%description
LMMS aims to be a free alternative to popular (but commercial and closed-source)
programs like FruityLoops, Cubase and Logic giving you the ability of producing
music with your computer by creating/synthesizing sounds,arranging samples,
playing live with keyboard and much more...
LMMS combines the features of a tracker-/sequencer-program (pattern-/channel-/
sample-/song-/effect-management) and those of powerful synthesizers and samplers
in a modern, user-friendly and easy to use graphical user-interface.

%package devel
Summary:	Include Files and Libraries mandatory for Development
Group:		System/Libraries
Requires:	%{name} = %{version}
Requires:	alsa-devel cmake fluidsynth-devel fftw3-devel gcc-c++ libogg-devel libpulse-devel libqt4-devel
Requires:	libsndfile-devel libvorbis-devel SDL-devel

%description devel
This package contains the files needed to compile programs that use lmms.

%prep
%setup -q
%patch1

%build
mkdir build
pushd build
LIBSUFFIX=$(echo "%{_lib}" | %__sed 's|^lib||')                                                                                             
cmake \
    -DCMAKE_VERBOSE_MAKEFILE=TRUE \
    -DCMAKE_INSTALL_PREFIX="%{_prefix}" \
    -DCMAKE_SKIP_RPATH=TRUE \
    -DCMAKE_BUILD_WITH_INSTALL_RPATH=FALSE \
    -DCMAKE_C_FLAGS_RELEASE:STRING="%{optflags}" \
    -DCMAKE_BUILD_TYPE=release \
    -DCMAKE_STRIP="/usr/bin/touch" \
    -DLIB_SUFFIX="$LIBSUFFIX" \
    ..

%__make %{?_smp_flags}
popd #build

%install
pushd build
%makeinstall
popd #build
%suse_update_desktop_file -r %name AudioVideo AudioVideoEditing

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README TODO
%{_bindir}/%{name}
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/presets
%{_datadir}/%{name}/presets/*
%dir %{_datadir}/%{name}/projects
%{_datadir}/%{name}/projects/*
%dir %{_datadir}/%{name}/samples
%{_datadir}/%{name}/samples/*
%dir %{_datadir}/%{name}/themes
%dir %{_datadir}/%{name}/themes/default
%{_datadir}/%{name}/themes/default/*
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/%{name}/backgrounds
%{_datadir}/%{name}/backgrounds/*
%dir %{_datadir}/%{name}/locale
%{_datadir}/%{name}/locale/*.qm
%dir %{_datadir}/menu
%dir %{_datadir}/menu/%{name}
%{_datadir}/mime/packages/%{name}.xml
%{_mandir}/man1/%{name}.1.gz
%{_datadir}/pixmaps/lmms.png

%files devel
%defattr(-,root,root)
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_includedir}/%{name}/embed.cpp

%changelog
* Sun Dec 25 2011 detlef@links2linux.de
- new upstream version <0.4.12>
* Fri Jun 24 2011 detlef@links2linux.de
- new upstream version <0.4.11>
* Sat Feb 12 2011 detlef@links2linux.de
- new upstream version <0.4.10>
  * Core:
  * Autosave every minute and recover upon crash
  * NotePlayHandle: send correct MidiNoteOff events if base note changed
  * Audio: Re-enabled PortAudio backend
  * PeakControllerEffect: properly save and load all settings
  * GUI:
  * SongEditor: added smooth autoscroll
  * SongEditor: always bring up to front after loading a project
  * Add BB track when adding track to empty BB editor
  * ControllerView: fixed minor artifacts at widget drop shadow
  * ControllerRackView: fixed widget size issues after closing
  * Fixed various typos
  * Plugins:
  * SpectrumAnalyzer: fixed multiple instantiations
  * PeakController: initial work on attack- and decay-support
  * Updated CALF LADSPA plugins
  * Sf2Player: load default soundfont upon instantiation
  * Fixed CMT LADSPA plugins build on Linux
  * Fixed loading VST plugins on Win64
  * Added support for 32 bit VST plugins on Win64
  * Misc:
  * Build system: revised Qt4 detection for Win32/Win64 builds
  * Win installer: do not append version to install directory anymore
* Sat Dec 18 2010 detlef@links2linux.de
- new upstream version <0.4.9>
  * Core:
  - MidiWinMM: fixed compiler warning
  - Build system: fixed relative linker paths warnings
  - Build system: explicitely link against WinMM library on Win32
  * GUI:
  - SampleTrack: do not hide EffectRackView forever when closing subwindow
  - InstrumentTrackView: added one-window-mode + global piano focus
  - InstrumentTrackView: use QMdiArea's window activation history
  - Fixed alternating row color in QTreeView (Sf2 patch selector)
  * Plugins:
  - CALF LADSPA plugins: resynced with Git repository - fixes broken CALF
    Vintage Delay plugin
  - VstBase: fixed winelib build on x86_64
  * Misc:
  - Updated French localization files
* Sat Sep  4 2010 detlef@links2linux.de
- new upstream version <0.4.8>
* Mon Aug  9 2010 detlef@links2linux.de
- new upstream version <0.4.7>
* Sat Mar 13 2010 detlef@links2linux.de
- enable stk
- enable vst for i586
* Fri Jan  8 2010 detlef@links2linux.de
- new upstream version <0.4.6>
* Tue Dec 15 2009 detlef@links2linux.de
- new upstream version <0.4.5>
* Fri Dec 19 2008 detlef@links2linux.de
- new upstream version <0.4.2>
* Sun Nov  2 2008 detlef@links2linux.de
- new upstream version <0.4.0>
* Thu May 22 2008 detlef@links2linux.de
- fix jack support
* Tue Mar 11 2008 quentin@links2linux.de
- update to upstream 0.3.2
* Tue Nov 13 2007 quentin@links2linux.de
- update to upstream 0.3.1
- added esound support
* Mon Aug 20 2007 quentin@links2linux.de
- update to upstream 0.3.0: much more stability and new features
- added make jobs
* Fri Mar 23 2007 quentin@links2linux.de
- built for openSUSE 10.2
- enabled VST support
* Mon Jul 31 2006 detlef@links2linux.de
- update to 0.2.1
- remove x86_64-patch, it's a job for suse_update_libdir ;)
- remove --enable-libsuffix=64 for x86_64
* Mon Jun 19 2006 quentin@links2linux.de
- update to 0.2.0
* Thu Feb  2 2006 quentin@links2linux.de
- update to 0.1.4, a bugfix release
* Wed Feb  1 2006 quentin@links2linux.de
- update to 0.1.3
* Fri Jan 20 2006 quentin@links2linux.de
- update to 0.1.2
* Thu Sep 29 2005 quentin@links2linux.de
- update to 0.1.1
* Fri Jul 22 2005 quentin@links2linux.de
- initial package for SuSE
